summaryrefslogtreecommitdiffstats
path: root/system/sshfs-fuse
diff options
context:
space:
mode:
author Alan_Hicks2010-05-11 15:18:45 +0200
committer Michiel van Wessem2010-05-11 15:18:45 +0200
commit3e218e30df1f35208d23b9f084d62d520cffd4df (patch)
treee5eed4e4f8fc920de89de856a54cce6cf3b2e7df /system/sshfs-fuse
parent80d3bd63f4dacb5f1e6eb6e7d920fa5ea4cb734c (diff)
downloadslackbuilds-3e218e30df1f35208d23b9f084d62d520cffd4df.tar.gz
system/sshfs-fuse: Initial import
Diffstat (limited to 'system/sshfs-fuse')
-rw-r--r--system/sshfs-fuse/README9
-rw-r--r--system/sshfs-fuse/slack-desc12
-rw-r--r--system/sshfs-fuse/sshfs-fuse.SlackBuild77
-rw-r--r--system/sshfs-fuse/sshfs-fuse.info8
4 files changed, 106 insertions, 0 deletions
diff --git a/system/sshfs-fuse/README b/system/sshfs-fuse/README
new file mode 100644
index 0000000000..2a95e8d3ec
--- /dev/null
+++ b/system/sshfs-fuse/README
@@ -0,0 +1,9 @@
+This script builds sshfs-fuse, a SSH "client" that integrates with FUSE
+to allow you secure, encrypted file-system level access to files and
+directories on any server to which you have ssh access.
+
+Naturally, this script requires FUSE to be at all useful. You can
+pickup a SlackBuild script for fuse from here:
+
+ http://www.slackbuilds.org/
+
diff --git a/system/sshfs-fuse/slack-desc b/system/sshfs-fuse/slack-desc
new file mode 100644
index 0000000000..9b0f045cdf
--- /dev/null
+++ b/system/sshfs-fuse/slack-desc
@@ -0,0 +1,12 @@
+ |-----handy-ruler--------------------------------------------------|
+sshfs-fuse:
+sshfs-fuse: This is a filesystem client based on the SSH File Transfer
+sshfs-fuse: Protocol. Since most SSH servers already support this protocol it
+sshfs-fuse: is very easy to set up: i.e. on the server side there's nothing
+sshfs-fuse: to do. On the client side mounting the filesystem is as easy as
+sshfs-fuse: logging into the server with ssh.
+sshfs-fuse:
+sshfs-fuse:
+sshfs-fuse: Requires FUSE (File-System in User Space)
+sshfs-fuse:
+sshfs-fuse:
diff --git a/system/sshfs-fuse/sshfs-fuse.SlackBuild b/system/sshfs-fuse/sshfs-fuse.SlackBuild
new file mode 100644
index 0000000000..6b7bce4210
--- /dev/null
+++ b/system/sshfs-fuse/sshfs-fuse.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+# Copyright 2006, Alan Hicks, Lizella, GA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project.
+set -e
+
+
+PRGNAM=sshfs-fuse
+VERSION=1.8
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/pkg-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS FAQ.txt COPYING INSTALL NEWS ChangeLog README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/sshfs-fuse/sshfs-fuse.info b/system/sshfs-fuse/sshfs-fuse.info
new file mode 100644
index 0000000000..c025861c56
--- /dev/null
+++ b/system/sshfs-fuse/sshfs-fuse.info
@@ -0,0 +1,8 @@
+PRGNAM="sshfs-fuse"
+VERSION="1.8"
+HOMEPAGE="http://fuse.sourceforge.net/sshfs.html"
+DOWNLOAD="http://dl.sourceforge.net/fuse/sshfs-fuse-1.8.tar.gz"
+MD5SUM="3c575cf89a6d3d8ab6063c2f60bd5b25"
+MAINTAINER="Alan_Hicks"
+EMAIL="alan@lizella.net"
+APPROVED="BP{k}"